# List all shipping labels Returns a list of all transaction objects. Endpoint: GET /transactions Version: 2018-02-08 Security: APIKeyHeader ## Query parameters: - `rate` (string) Filter by rate ID - `object_status` (string) Filter by object status Enum: "WAITING", "QUEUED", "SUCCESS", "ERROR", "REFUNDED", "REFUNDPENDING", "REFUNDREJECTED" - `tracking_status` (string) Filter by tracking status Enum: "UNKNOWN", "PRE_TRANSIT", "TRANSIT", "DELIVERED", "RETURNED", "FAILURE" - `page` (integer) The page number you want to select - `results` (integer) The number of results to return per page (max 100) ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `results` (array) - `results.commercial_invoice_url` (string) A URL pointing to the commercial invoice as a 8.5x11 inch PDF file. A value will only be returned if the Transactions has been processed successfully and if the shipment is international. - `results.created_by` (any) - `results.eta` (string) The estimated time of arrival according to the carrier. - `results.label_file_type` (string) Print format of the label. If empty, will use the default format set from the Shippo dashboard. Enum: "PNG", "PNG_2.3x7.5", "PDF", "PDF_2.3x7.5", "PDF_4x6", "PDF_4x8", "PDF_A4", "PDF_A5", "PDF_A6", "ZPLII" - `results.label_url` (string) A URL pointing directly to the label in the format you've set in your settings. A value will only be returned if the Transactions has been processed successfully. Example: "https://shippo-delivery.s3.amazonaws.com/70ae8117ee1749e393f249d5b77c45e0.pdf?Signature=vDw1ltcyGveVR1OQoUDdzC43BY8%3D&Expires=1437093830&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA" - `results.messages` (array) - `results.messages.source` (string) Origin of message Example: "UPS" - `results.messages.code` (string) Classification of message Example: "carrier_timeout" - `results.messages.text` (string) Message content Example: "UPS API did not respond. Please try again in a few minutes." - `results.metadata` (string) A string of up to 100 characters that can be filled with any additional information you want to attach to the object. - `results.object_created` (string) Date and time of Transaction creation. - `results.object_id` (string) Unique identifier of the given Transaction object. Example: "915d94940ea54c3a80cbfa328722f5a1" - `results.object_owner` (string) Username of the user who created the Transaction object. Example: "shippotle@shippo.com" - `results.object_state` (string) Indicates the validity of the enclosing object Enum: "VALID", "INVALID" - `results.object_updated` (string) Date and time of last Transaction update. - `results.parcel` (string) Object ID of the Parcel object that is being shipped. Example: "e94c7fdfdc7b495dbb390a28d929d90a" - `results.qr_code_url` (string) A URL pointing directly to the QR code in PNG format. A value will only be returned if requested using qr_code_requested flag and the carrier provides such an option. Example: "https://shippo-delivery.s3.amazonaws.com/96_qr_code.pdf?Signature=PEdWrp0mFWAGwJp7FW3b%2FeA2eyY%3D&Expires=1385930652&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA" - `results.rate` (any) ID of the Rate object for which a Label has to be obtained. If you purchase a label by calling the transaction endpoint without a rate (instalabel), this field will be a simplified Rate object in the Transaction model returned from the POST request. Note, only rates less than 7 days old can be purchased to ensure up-to-date pricing. - `results.status` (string) Indicates the status of the Transaction. Enum: "WAITING", "QUEUED", "SUCCESS", "ERROR", "REFUNDED", "REFUNDPENDING", "REFUNDREJECTED" - `results.test` (boolean) Indicates whether the object has been created in test mode. - `results.tracking_number` (string) The carrier-specific tracking number that can be used to track the Shipment. A value will only be returned if the Rate is for a trackable Shipment and if the Transactions has been processed successfully. Example: "9499907123456123456781" - `results.tracking_status` (string) Indicates the high level status of the shipment. Enum: "UNKNOWN", "PRE_TRANSIT", "TRANSIT", "DELIVERED", "RETURNED", "FAILURE" - `results.tracking_url_provider` (string) A link to track this item on the carrier-provided tracking website. A value will only be returned if tracking is available and the carrier provides such a service. Example: "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9499907123456123456781"